﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title></title>
    <style>
        .holidayBox {
            width: 600px;
            margin: 0px auto;
        }

        .holidaySelect {
            width: 100%;
            height: 100px;
            background-color: #ff6a00;
        }

        .DropDownList {
            border: 1px;
            border-style: solid;
            border-color: #808080;
            width: 200px;
            height: 40px;
        }
        .holidaySelectRow {
            float:left;
            height:50px;
            margin-top:25px;
        }
        .holidaySelected {
            width:220px;
            height:50px;
            margin-left:40px;
        }
        .holidaySelectDay {
            width:260px;
            height:50px;
            color:white;
            margin-left:40px;
            padding-top:10px;
            box-sizing:border-box;
        }
        .Days {
            width:100%;
            background-color:#0ebbbb;
        }
        .Days span {
            display:block;
            height:50px;
            line-height:50px;
            margin-left:20px;
            color:white;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <div class="holidayBox">
            <div class="holidaySelect">
                <div class="holidaySelectRow holidaySelected">
                    <asp:DropDownList ID="DropDownList1" runat="server" AutoPostBack="true" OnSelectedIndexChanged="DropDownList1_SelectedIndexChanged" CssClass="DropDownList">
                        <asp:ListItem Text="假期安排" Value="0"></asp:ListItem>
                        <asp:ListItem Text="元旦" Value="1"></asp:ListItem>
                        <asp:ListItem Text="除夕" Value="2"></asp:ListItem>
                        <asp:ListItem Text="春节" Value="3"></asp:ListItem>
                        <asp:ListItem Text="清明节" Value="4"></asp:ListItem>
                        <asp:ListItem Text="劳动节" Value="5"></asp:ListItem>
                        <asp:ListItem Text="端午节" Value="6"></asp:ListItem>
                        <asp:ListItem Text="国庆节" Value="7"></asp:ListItem>
                        <asp:ListItem Text="中秋节" Value="8"></asp:ListItem>
                    </asp:DropDownList>
                </div>
                <div class="holidaySelectRow holidaySelectDay">
                    <span>今天是 <%=DateTime.Now.ToString("yyyy年MM月dd日") %></span>
                </div>
            </div>
            <div class="Days" id="Days" runat="server">

            </div>
        </div>
    </form>
</body>
</html>
